using System;
using System.Collections.Generic;
using System.Text;

namespace BazaZamowien.Classes
{
    class User
    {

		#region Fields (22) 

        private bool administracja;
        private string email;
        private string filtr;
        private int grupa;
        private int ide;
        private int ideCT;
        private int iDEDzialu;
        private int iDEDzialuCT;
        private int iDEOddzialuCT;
        private string imie;
        private string nazwisko;
        private string numer_Roz;
        private int premieGrupa;
        private string queryString;
        private bool st_dyrektorFinansowy;
        private bool st_dyrektorGeneralny;
        private bool st_glownyKsiegowy;
        private bool st_kierownik;
        /// <summary>
        /// Czy ma dostep do wszystkich premii  
        /// </summary>
        private string symbol;
        private bool uprPremie;
        private bool uprZamowienia;
        private static User user;

		#endregion Fields 

		#region Properties (21) 

        public bool Administracja
        {
            get { return administracja; }
            set { administracja = value; }
        }

        public string Email
        {
            get { return email; }
            set { email = value; }
        }

        public string Filtr
        {
            get { return filtr; }
            set { filtr = value; }
        }

        public int Grupa
        {
            get { return grupa; }
            set { grupa = value; }
        }

        /// <summary>
        /// ide do bazy zamowien
        /// </summary>
        public int IDE
        {
            get { return ide; }
            set { ide = value; }
        }

        /// <summary>
        /// ide do bazy premii
        /// </summary>
        public int IDE_CT
        {
            get { return ideCT; }
            set { ideCT = value; }
        }

        public int IDEDzialu
        {
            get { return iDEDzialu; }
            set { iDEDzialu = value; }
        }

        public int IDEDzialuCT
        {
            get { return iDEDzialuCT; }
            set { iDEDzialuCT = value; }
        }

        public int IDEOddzialuCT
        {
            get { return iDEOddzialuCT; }
            set { iDEOddzialuCT = value; }
        }

         public string Imie
        {
            get { return imie; }
            set { imie = value; }
        }

            public string Nazwisko
        {
            get { return nazwisko; }
            set { nazwisko = value; }
        }

        public string Numer_Roz
        {
            get { return numer_Roz; }
            set { numer_Roz = value; }
        }

        public string OueryString
        {
            get { return queryString; }
            set { queryString = value; }
        }

        public int PremieGrupa
        {
            get { return premieGrupa; }
            set { premieGrupa = value; }
        }

        public bool St_dyrektorFinansowy
        {
            get { return st_dyrektorFinansowy; }
            set { st_dyrektorFinansowy = value; }
        }

        public bool St_dyrektorGeneralny
        {
            get { return st_dyrektorGeneralny; }
            set { st_dyrektorGeneralny = value; }
        }

        public bool St_glownyKsiegowy
        {
            get { return st_glownyKsiegowy; }
            set { st_glownyKsiegowy = value; }
        }

        public bool St_kierownik
        {
            get { return st_kierownik; }
            set { st_kierownik = value; }
        }

        public string Symbol
        {
            get { return symbol; }
            set { symbol = value; }
        }

        public bool UprPremie
        {
            get { return uprPremie; }
            set { uprPremie = value; }
        }

        public bool UprZamowienia
        {
            get { return uprZamowienia; }
            set { uprZamowienia = value; }
        }

		#endregion Properties 

		#region Methods (1) 


		// Public Methods (1) 

        public static User getUser()
        {
            if (user == null)
            {
                user = new User();
            }
            return user;
        }


		#endregion Methods 

    }
}
